Bug 77048 - p5-SAVI-Perl port does not leave the filesystem in the same state it was before the port was installed. (pkg-plist errors)
Summary: p5-SAVI-Perl port does not leave the filesystem in the same state it was befo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: niels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-03 08:30 UTC by Gary Hayers
Modified: 2005-02-13 12:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Hayers 2005-02-03 08:30:21 UTC
pkg-plist not specified correctly

Fix: 

--- SAVI-Perl/Makefile	2005/01/25 12:35:37	1.12
+++ SAVI-Perl/Makefile	2005/02/03 08:06:37	1.13
@@ -6,7 +6,7 @@
 
 PORTNAME=	SAVI-Perl
 PORTVERSION=	0.30
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	security perl5
 MASTER_SITES=	http://www.csupomona.edu/~henson/www/projects/SAVI-Perl/dist/
 MASTER_SITE_SUBDIR=	security

--- SAVI-Perl/pkg-plist	2005/01/14 10:41:29	1.3
+++ SAVI-Perl/pkg-plist	2005/02/03 08:06:37	1.4
@@ -1,6 +1,6 @@
-lib/perl5/site_perl/5.8.5/mach/SAVI.pm
-lib/perl5/site_perl/5.8.5/mach/auto/SAVI/.packlist
-lib/perl5/site_perl/5.8.5/mach/auto/SAVI/SAVI.bs
-lib/perl5/site_perl/5.8.5/mach/auto/SAVI/SAVI.so
-lib/perl5/site_perl/5.8.5/mach/auto/SAVI/autosplit.ix
-@dirrm lib/perl5/site_perl/5.8.5/mach/auto/SAVI
+%%SITE_PERL%%/%%PERL_ARCH%%/SAVI.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/SAVI.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/SAVI.so
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/autosplit.ix
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI
How-To-Repeat: Running make deinstall. Throws error tar: lib/perl5/site_perl/5.8.5/mach/SAVI.pm: Could not stat: No such file or directory
tar: lib/perl5/site_perl/5.8.5/mach/auto/SAVI/.packlist: Could not stat: No such file or directory
tar: lib/perl5/site_perl/5.8.5/mach/auto/SAVI/SAVI.bs: Could not stat: No such file or directory
tar: lib/perl5/site_perl/5.8.5/mach/auto/SAVI/SAVI.so: Could not stat: No such file or directory
tar: lib/perl5/site_perl/5.8.5/mach/auto/SAVI/autosplit.ix: Could not stat: No such file or directory

Reported by Kris Kennaway
Comment 1 niels freebsd_committer 2005-02-04 12:54:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->	niels

Thanks for the patch, I'll test it right away. 

Niels
Comment 2 niels freebsd_committer 2005-02-13 12:18:39 UTC
State Changed
From-To: open->closed


Committed! Sorry for the delay 

Niels